jvx.geom

## Class PwHistogram

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwHistogram

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwHistogram
      extends PjWorkshop

  Workshop shows histogram information of geometries.
  Since:
    JavaView 3.99.045 moved to jvx from dev.
  See Also:
    `PuHistogram`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    02.09.09, 2.00 moved (kp) Moved to jvx from dev.
    27.05.07, 1.10 revised (kp) Adjusted to modified histogram.
    21.05.07, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ITEM_EDGE_LENGTH`
    `static int` | `ITEM_ELEMENT_AREA`
    `static int` | `ITEM_NORM_VECTOR_FIELD`
    `static int` | `ITEM_SCALAR_FIELD`
    `static int` | `ITEM_VERTEX_ANGLE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwHistogram()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close workshop and remove workshop from geometry as update listener.
    `int` | `getItemType()` Get the item type which determines the displayed data.
    `void` | `init()` Initialization
    `void` | `reset()` Reset workshop and geometry to original state.
    `void` | `setGeometry(PgElementSet geom)` Assign geometry to be analyzed.
    `void` | `setItemType(int itemType)` Set the item type which determines the displayed data.
    `boolean` | `update(java.lang.Object event)` Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Field Detail

    - #### ITEM_EDGE_LENGTH

          public static final int ITEM_EDGE_LENGTH

      See Also:
        Constant Field Values

    - #### ITEM_ELEMENT_AREA

          public static final int ITEM_ELEMENT_AREA

      See Also:
        Constant Field Values

    - #### ITEM_VERTEX_ANGLE

          public static final int ITEM_VERTEX_ANGLE

      See Also:
        Constant Field Values

    - #### ITEM_SCALAR_FIELD

          public static final int ITEM_SCALAR_FIELD

      See Also:
        Constant Field Values

    - #### ITEM_NORM_VECTOR_FIELD

          public static final int ITEM_NORM_VECTOR_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PwHistogram

          public PwHistogram()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Initialization
      Overrides:
        `init` in class `PjWorkshop`

    - #### reset

          public void reset()

      Reset workshop and geometry to original state.
      Overrides:
        `reset` in class `PjWorkshop`

    - #### close

          public void close()

      Close workshop and remove workshop from geometry as update listener. Instance variables of this workshop are nulled.
      Overrides:
        `close` in class `PjWorkshop`

    - #### setGeometry

          public void setGeometry(PgElementSet geom)

      Assign geometry to be analyzed.
      Parameters:
        `geom` - geometry for analysis

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PjWorkshop`
      Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`. Also propagates update() to superclass with the original argument event.

      Some subclasses may register themselves as update listener of the geometry of this workshop. In order to prevent an update loop, this method safely uses isUpdateSender() when updating the geometry.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjWorkshop`
      Parameters:
        `event` - sender of this update.
      Returns:
        true if update was correctly handled by superclass.
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### getItemType

          public int getItemType()

      Get the item type which determines the displayed data. Possible types are like `PwHistogram#ITEM_EDGE_LENGTH` etc.
      Returns:
        the current item type

    - #### setItemType

          public void setItemType(int itemType)

      Set the item type which determines the displayed data. Possible types are like `PwHistogram#ITEM_EDGE_LENGTH` etc.
      Parameters:
        `itemType` - the new item type

"

The software JavaView? is copyright protected. All Rights Reserved.
"